# Note: mkl is a Intel Compiler thing

%define oname scipy
%define svnver 5920

Name: python-module-%oname
Version: 0.8.0
Release: alt2.svn20090913

Summary: SciPy is the library of scientific codes

License: BSD
Group: Development/Other
Url: http://www.scipy.org/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

%setup_python_module %oname

%add_python_req_skip swig2_ext symeig vtk

Source: %oname-%version.tar.bz2

BuildRequires(pre): rpm-build-compat >= 1.2 rpm-build-python
BuildPreReq: libsuitesparse-devel swig /proc

Requires: python-module-numpy >= 1.4.0-alt2.svn20090827

# Automatically added by buildreq on Thu Dec 04 2008
BuildRequires: gcc-c++ gcc-fortran liblapack-devel python-module-Pyrex
BuildRequires: python-module-ctypes python-module-numpy python-modules-curses
BuildRequires: libsuitesparse-devel

%description
SciPy is the library of scientific codes built on top of NumPy.

%prep
%setup

%build
cat <<EOF >%oname/__svn_version__.py
version='%version'
svn_version='%svnver'
EOF

CFLAGS="-I%_includedir/suitesparse -fno-strict-aliasing" \
	python setup.py build config_fc --fcompiler=gnu95

%install
%python_install

install -m644 %oname/__svn_version__.py \
	%buildroot%python_sitelibdir/%oname
%find_lang %name

%files -f %name.lang
%doc LICENSE.txt README.txt THANKS.txt TOCHANGE.txt
%python_sitelibdir/*

%changelog
* Sun Sep 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.0-alt2.svn20090913
- New snapshot

* Fri Sep 04 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.0-alt2.svn20090902.1
- Disabled strict aliasing rules

* Wed Sep 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.0-alt2.svn20090902
- Rebuilt with shared libraries of SuiteSparse

* Thu Aug 27 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.0-alt2.svn20090827
- New snapshot

* Sun Aug 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.0-alt2.svn20090730.2
- Fixed svn version for special_version.py

* Fri Jul 31 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.0-alt2.svn20090730.1
- Version 0.8.0

* Thu Dec 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.7.0-alt1
- new version 0.7.0b1
- update buildreqs, cleanup spec

* Sun Jul 06 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt1
- initial build for ALT Linux Sisyphus

